Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

In this Discussion

osTicket v1.10 (stable) and Maintenance Release v1.9.15 are now available! Go get it now

Upgrade from 1.7RC4 to 1.7.3

Hi everyone, I use osTicket on my production system from a year now, I was using 1.6ST during that period but it lacks some features and I decided to upgrade, yesterday I could finally have it done, with some effort and reading quite a bit of info this: http://www.tmib.net/how-upgrade-osticket-17st-172 and this: http://www.tmib.net/how-to-upgrade-o....6st-to-1.7rc4.

I don't usally post in forums before I've spent the last resource of info, I did as it says on the tutorial, I took site offline and then just overwrote the files but when I reffresh I keep getting the dreaded 'kwaheri rafiki' I've read many posts that say to set the ROOT_PATH and some other solution which haven't really done it for me.

I know I'm either missing something or doing something wrong when I try to upgrade. I'd like to move from 1.6RC4 to 1.7*LATEST, because I've read RC4 has some bugs, which I've come across indeed.

I run my osT on Apache under a virtual subdomain support.example.com if this helps here's the virtual host section



cat /etc/apache2/sites-enabled/001-osticket
<VirtualHost *:80>
ServerName support.example.com
DocumentRoot /var/www
ErrorLog /var/log/apache2/error.log
CustomLog /var/log/apache2/access.log combined
</VirtualHost>

<VirtualHost *:443>
ServerName support.exmple.com

DocumentRoot /var/www
ErrorLog /var/log/apache2/support.example.com.error.log
CustomLog /var/log/apache2/support.example.com.access.log combined

SSLEngine on
SSLCertificateFile /etc/apache2/ssl/apache.pem
</VirtualHost>


Thanks for your advise and congratulations and we the users appreciate such a great project as osTicket.

Comments

  • edited November 2013
    Hi Grizly, thanks for your reply.
    Grizly;n74732 said:
    You generally only see that message if you try and view an include file.. Have you removed the old code, put up the new, or did you simply overwrite the old code with the new? The upgrader should have run and converted your data to the new. I accessed your webserver (you included the url in the file) and I didn't see the message, however that appears to be the Staff Control Panel login (osTicket:: SCP Login).. not the client portal. Perhaps you didn't copy the correct folder into your DocumentRoot? I assume you have backups!
    Yes, I do have backups and when this happens I just go back to what I've backed up that's why you're seeing the site loading fine. I also upgraded to 1.7.1.1 and worked great, though I see 1.7.0+ on the version string, weird but site's up at least.

    Regarding putting the new code. Yes, I just overwrote everything, that's where I think things are going wrong. Now, what do you mean with "changing the code"?. How should I upgrade correctly I see many posts that recommend overwritting with the contents of the upload/ folder and that's what I did, I now notice I'm doing something wrong but I can't seem to be able to upgrade as it should be.

    About the site, yeah, thanks I amended the post. And well about client portal, I don't have clients go to the site and submit the tickets, I do it email based, with forms on clients sites and mailbox polling, so only staff members access and respond to tickets.

    Normally, that page is only accessible via (in your instance) support.domain.com/scp/ rather than directly.
    Could you please point me in the right direction for the upgrade?, though my site's running I have the backups ready but I want to install the latest version.

    Thanks again.
Sign In or Register to comment.